Welcome

Welcome to the I.R.I.S. User Lexicon Editor™ Help...

  • Use on-line help to learn more about the I.R.I.S. User Lexicon Editor.

  • Quickly find answers to questions.

  • Connect to the I.R.I.S. web site for latest tips and product updates.

©2004 Copyright I.R.I.S. All rights reserved


User Lexicons

Operation

  • Recognition is assisted by linguistic databases for all supported languages. I.R.I.S. OCR solutions extensively use linguistic information to validate good solutions and mark suspicious ones.

Don’t confuse (user) lexicons with font dictionaries! (User) lexicons are linguistic databases that assist the recognition, font dictionaries contain character shapes learnt during the interactive OCR phase.

  • As powerful as these standard lexicons may be, users can “boost” the OCR accuracy further by loading user lexicons.

User lexicons are word lists containing any term that does not occur in the “basic”, general purpose lexicons. Think for instance of technical, scientific, legal or other company-specific terms.

  • User lexicons only take effect when the symbols they contain are covered by the selected OCR language(s).

Example 1: the OCR language is English. My user lexicon contains American city names such as “Poughkeepsie” and “Massapequa”. The OCR process makes good use of the user lexicon.

Example 2: the OCR language is English. My user lexicon contains French proper names such as “Auxerres”, “François” and “Véllères”. The OCR process only uses a portion of the user lexicon. Words that contain symbols not covered by the English character set get ignored: “Auxerres” will be used, “François” and “Véllères” will not be used by the OCR process.

Example 3: the OCR language is English. My user lexicon contains Russian terms. The OCR process will ignore the user lexicon altogether: the English character set does not include the “Cyrillic” alphabet.

Tip: I.R.I.S. OCR solutions allow you to activate multiple languages simultaneously!

How to...?

All changes are held in memory until you save the user lexicon!

  • Click the Add button to add new words.

Tip: press the Enter key!

Tip: you can enter several terms simultaneously. You can for instance “cut and paste” words from a scientific paper.

Tip: syntax rules apply to process any terms you may enter! (Punctuation symbols get filtered automatically etc.)

Tip: the utility sorts the words alphabetically for you. You can enter them in any order!

Tip: duplicate words are rejected automatically.

Tip: use the command Import to import Unicode text documents - authority lists, scientific papers etc.! Importing company documents or word lists may be the fastest way of creating a user lexicon that contains your company-specific terminology.

  • Click the Edit button to correct erroneous words.

Tip: double-click a word!

  • Click the Delete button to erase words.

Tip: press the Delete key!

Tip: you can erase multiple words simultaneously! (To select several words, select the first word and hold down the Ctrl key as you select additional words. To select a continuous range of words, select the first word and hold down the Shift key as you select the last word.)

  • Click the Delete All button to erase all words.


Syntax Rules

Some syntax rules apply: the utility filters all input automatically when you enter new words and import (Unicode) text files.

  • Case differences are maintained.

Input from user | Entry in lexicon
atherosclerosis | atherosclerosis
Brugada | Brugada
IRISPen | IRISPen
NTFS | NTFS

  • Numbers are rejected. Entering “12” or “2003” into the user lexicon doesn’t make any sense. However, digits can occur inside product names etc.

Input from user | Entry in lexicon
2003 |
systolic 150 | systolic
FAT32 | FAT32
Clip2bmp | Clip2bmp

  • All punctuation symbols - commas, semicolons, slashes etc. - and special characters - “>”, “=”, “°” etc. - are filtered automatically at the beginning and end of a word. However, hyphenation can occur inside words.

Input from user | Entry in lexicon
cardiomegaly, | cardiomegaly
holter; fallot. “atrial!” | atrial fallot holter
intra-aortic | intra-aortic
Notre-Dame-de-Paris | Notre-Dame-de-Paris
OS/2 | OS/2
IBR-2001, IBCR-II | IBCR-II IBR-2001

Tip: watch out for hyphenation at the end of a line when you import (Unicode) text files or “copy and paste” words that cover two lines!


File Menu

New

You create a new user lexicon.

Open

This command loads a user lexicon into memory.

Import

This command allows you to import (Unicode) text documents - authority lists, scientific papers etc.! Importing company documents or word lists may be the fastest way of creating a user lexicon that contains your company-specific terminology.

All words will be processed and added to the current user lexicon. (Duplicate words are rejected automatically.)

Save (As)

This command saves the user lexicon to your hard disk.

Tip: you’re prompted to save the changes when you quit the utility, when you open another lexicon and when you create a new lexicon.

Exit

Quits the User Lexicon Editor utility.


Help Menu

Help Topics

Discusses the role that user lexicons play in the OCR process and explains how to create and maintain user lexicons with this editor.

About the User Lexicon Editor

Displays the startup screen with the copyright notices.


How to Get Product Support

Free technical support is offered to all registered customers. (Registering also entitles you to special offers.)

Europe

Hotline: 32-10-45 13 64 (working hours) (all major languages)

Fax: 32-10-45 34 43

USA

Hotline: 1-561-921-0847 / 800-447-4744 (working hours)

Fax: 1-561-921-0854

WWW

www.irislink.com/support.html (troubleshooting info)

Click here to access the troubleshooting info.

E-mail

support@irislink.com


How to Get in Touch with I.R.I.S.

Head Office (Belgium)

Phone: 32-10-45 13 64

Fax: 32-10-45 34 43

I.R.I.S. on the Internet

I.R.I.S. home page: http://www.irislink.com

On-line shop: http://shop.irislink.com

E-mail info: info@irislink.com

E-mail sales: sales@irislink.com

E-mail support: support@irislink.com

USA Office

Phone: 1-561-921-0847 / 800-447-4744 (working hours)

Fax: 1-561-921-0854


.topic 0x10000000
 brightness   The balance of light and dark colors in an image. Scanner function to lighten and darken the image data.
.topic 0x10000002
 compression   Reduction of the amount of storage space required to save an image. Compressed images are saved more efficiently, resulting in smaller files. For some file formats (such as JPEG), compression also results in loss of image quality. Compressed images take longer to open because they must be decompressed first.
.topic 0x10000003
 contrast   The relative difference between the dark and light portions of an image. Scanner function or button to lighten and darken the image data.
.topic 0x10000006
 dpi   Short for "dots per inch". Unit of measure that indicates the image resolution in number of dots per linear inch. The higher the value, the higher the resolution.
.topic 0x10000008
 image   The bitmapped result of scanning a document. Using hardware, the document is converted into a collection of dots stored in a file that can be processed by the computer.
.topic 0x10000009
 kerning   In printed texts, some letter pairs have more space between them than others because of their shape and slate. Pair kerning automatically reduces the space between such letter pairs to enhance their appearance. Otherwise, they would be spaced too close or too far apart to be aesthetically pleasing.       While the first "WA" and "LT" are non-kerned letter pairs, the second "WA" and "LT" are clearly kerned.
.topic 0x1000000b
 marker   Small rectangle at the window corners and in the middle of the window sides. Markers indicate that the window is selected.
.topic 0x1000000d
 pixel   Short for "picture element". The smallest distinguishable square dot to compose a bitmapped picture. The higher the resolution, the smaller the pixels.
.topic 0x10000011
 resolution   A measure of the fineness of detail that the scanner produces. The number of pixels of an image file is expressed in dots per linear inch. The higher the resolution, the sharper the image.
.topic 0x10000012
 scanner   Electronic input device designed to digitize images. Converts physical pictures into bitmapped graphic files that can be processed by a computer.
.topic 0x10000013
 scanner standard   International communication protocol used by several scanner manufacturers to standardize interfacing between software and scanner. Twain is a major example.